-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/garajalannounce/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Addon disabled."] = "Addon disabled."
Ld["Addon enabled. Type '/ga config' for options."] = "Addon enabled. Type '/ga config' for options."
Ld["Announcement Options"] = "Announcement Options"
Ld["Config"] = "Config"
Ld["Debug"] = "Debug"
Ld["DELAY"] = "DELAY"
Ld["Display minimap icon"] = "Display minimap icon"
Ld["for options"] = "for options"
Ld["General"] = "General"
Ld["Left Click"] = "Left Click"
Ld["Minimap Icon"] = "Minimap Icon"
Ld["Open the configuration GUI"] = "Open the configuration GUI"
Ld["Profiles"] = "Profiles"
Ld["Raid"] = "Raid"
Ld["Raid Icons"] = "Raid Icons"
Ld["Raid Warning"] = "Raid Warning"
Ld["Right Click"] = "Right Click"
Ld["Role Check"] = "Role Check"
Ld["Run to the totem!!!"] = "Run to the totem!!!"
Ld["Send a raid warning listing selected players"] = "Send a raid warning listing selected players"
Ld["Set raid icons on selected players"] = "Set raid icons on selected players"
Ld["Spirit Totem"] = "Spirit Totem"
Ld["Start a Raid Role Check"] = "Start a Raid Role Check"
Ld["Toggle debugging output"] = "Toggle debugging output"
Ld["to toggle status window"] = "to toggle status window"
Ld["WARNING: %d players do not have roles assigned and will be ignored."] = "WARNING: %d players do not have roles assigned and will be ignored."
Ld["WARNING: Not enough eligible dps!"] = "WARNING: Not enough eligible dps!"
Ld["WARNING: Not enough eligible healers!"] = "WARNING: Not enough eligible healers!"
Ld["Whisper"] = "Whisper"
Ld["Whisper selected players"] = "Whisper selected players"


if locale == "frFR" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Role Check"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Start a Raid Role Check"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "deDE" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Role Check"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Start a Raid Role Check"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "koKR" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Role Check"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Start a Raid Role Check"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "esMX" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Role Check"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Start a Raid Role Check"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "ruRU" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Role Check"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Start a Raid Role Check"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "zhCN" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Role Check"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Start a Raid Role Check"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "esES" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Role Check"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Start a Raid Role Check"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "zhTW" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
La["Config"] = "設置" -- Needs review
La["Debug"] = "偵錯" -- Needs review
La["DELAY"] = "延遲" -- Needs review
La["Display minimap icon"] = "顯示小地圖按鈕" -- Needs review
La["for options"] = "開啟選項" -- Needs review
La["General"] = "一般" -- Needs review
La["Left Click"] = "左鍵點擊" -- Needs review
La["Minimap Icon"] = "小地圖按鈕" -- Needs review
La["Open the configuration GUI"] = "開啟設置圖形介面" -- Needs review
La["Profiles"] = "設定檔" -- Needs review
-- La["Raid"] = ""
La["Raid Icons"] = "團隊標記" -- Needs review
La["Raid Warning"] = "團隊警告" -- Needs review
La["Right Click"] = "右鍵點擊" -- Needs review
-- La["Role Check"] = ""
La["Run to the totem!!!"] = "快跑去圖騰那!!!" -- Needs review
La["Send a raid warning listing selected players"] = "向下列選擇的玩家發送團隊警告" -- Needs review
La["Set raid icons on selected players"] = "設置團隊標記在選擇的玩家" -- Needs review
La["Spirit Totem"] = "靈魂圖騰" -- Needs review
-- La["Start a Raid Role Check"] = ""
La["Toggle debugging output"] = "切換偵錯輸出" -- Needs review
La["to toggle status window"] = "以切換狀態視窗" -- Needs review
La["WARNING: %d players do not have roles assigned and will be ignored."] = "警告：%d玩家沒有角色確認並且將被忽略。" -- Needs review
La["WARNING: Not enough eligible dps!"] = "警告：可選的DPS不夠！" -- Needs review
La["WARNING: Not enough eligible healers!"] = "警告：可選的治療者不夠！" -- Needs review
La["Whisper"] = "密語" -- Needs review
La["Whisper selected players"] = "密語選擇的玩家" -- Needs review

elseif locale == "ptBR" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Role Check"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Start a Raid Role Check"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "itIT" then do end
-- La["Addon disabled."] = ""
-- La["Addon enabled. Type '/ga config' for options."] = ""
-- La["Announcement Options"] = ""
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Role Check"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Start a Raid Role Check"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

end
